package com.muyu.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.domain.CarType;
import com.muyu.service.CarTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;


@RestController
@RequestMapping("/carType")
public class CarTypeController {
    @Autowired
    private CarTypeService carTypeService;


    @GetMapping("/selectCarTypeList")
    public Result selectCarTypeList(){
     return Result.success(carTypeService.selectCarTypeList());
    }

    /**
     * 根据类型ID获取车辆类型
     * @param carTypeId
     * @return
     */
    @PostMapping("/findCarTypeById")
    public Result<CarType> findCarTypeById(@RequestParam Long carTypeId) {
        return Result.success(carTypeService.findCarTypeById(carTypeId));
    }




}
